/*
  But :    css du projet  
  Auteur : matteo marinazzo
  Date :   16.06.24 / V1.0
*/

/*
  ensemble de la page
*/
@media screen and (min-width: 750px) {
  body {
    background-color: #000000;
    background-image: url("../images/f1-logo.jpg");
    background-size: cover;
    background-repeat: no-repeat;
  }

  /*bouton de retour*/

  .home-btn {
    display: flex;
    align-items: center;
    text-decoration: none;
    transition: all 0.5s linear;

    color: black;
    padding: 10px 20px;
    border-radius: 10px;
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
  }

  span {
    font-size: 20px;
    font-weight: 700;
    padding: 0 10px;
    padding-left: 41px;
    color: white;
  }

  .home-btn::before {
    content: "";
    display: block;
    width: 45px;
    height: 100%;
    background-color: rgb(168, 168, 168);
    position: absolute;
    border-radius: 100px;
    left: 1em;
    z-index: -1;
    transition: all 600ms ease;
  }

  .home-btn:hover::before {
    width: 100%;
  }

  /*
  CSS de la première vue
*/
  #container {
    text-align: center;
  }
  div {
    text-align: center;
  }

  #barreRecherche {
    position: absolute;
    top: 50%;
    left: 30%;
    width: 40%;
    height: 40px;
    border-radius: 20px;
    border: 1px solid #ffffff;
    padding: 10px 20px;
    font-size: 16px;
    outline: none;
    transform: translateY(-50%);
  }

  #localiserTous {
    /*positionner l'image au bonne endroit*/
    position: absolute;
    top: 50%;
    left: 65%;
    transform: translateY(-50%);
    cursor: pointer;
  }

  #results {
    position: absolute;
    top: 50%;
    left: 30%;
    width: 40%;
    border-radius: 0 0 20px 20px;
    background-color: white;
    text-align: center;
    display: none; /* Masqué par défaut */
    padding: 0;
    outline: none;
  }


  /* Supprimer le "X" dans les champs de recherche */
  input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
  }

  li {
    list-style: none; /*enlever les points des listes*/
  }

  .result-item {
    margin-top: -1px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    background-color: white;
  }

  /*arrondir les coins du dernier résultat*/
  .result-item:last-child {
    border-radius: 0 0 20px 20px;
  }

  .result-item:hover {
    background-color: #f0f0f0;
  }

  /*
  CSS pour la seconde vue
*/

  #containerInfos {
    background-color: rgb(168, 168, 168);
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  #image {
    max-width: 30%;
    height: auto;
    margin-right: 20px;
  }

  #divInfos {
    text-align: left;
    max-width: 50%;
  }

  .listeInfos {
    padding-bottom: 20px;
  }

  #localiser {
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 10px;
    border: none;
    cursor: pointer;
  }

  #vueInfos {
    margin-top: 15%;
  }

  /*
  CSS pour la troisième vue
*/
  #mapid {
    width: 90%;
    aspect-ratio: 2;
    max-height: 800px;
    margin: 70px auto;
  }
}
@media screen and (max-width: 750px) {
  body {
    background-color: #000000;
    background-image: url("../images/f1-logo.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
  }

  /*bouton de retour*/

  .home-btn {
    text-decoration: none;
    color: black;
    padding: 10px 20px;
    border-radius: 10px;
    position: absolute;
    top: 10px;
    left: 10px;
  }

  /*
  CSS de la première vue
*/
  #container {
    text-align: center;
  }
  div {
    text-align: center;
  }

  #barreRecherche {
    position: absolute;
    top: 50%;
    left: 20%;
    width: 60%;
    height: 40px;
    border-radius: 20px;
    border: 1px solid #ffffff;
    padding: 10px 20px;
    font-size: 16px;
    outline: none;
    transform: translateY(-50%);
  }

  #localiserTous {
    /*positionner l'image au bonne endroit*/
    position: absolute;
    top: 50%;
    left: 70%;
    transform: translateY(-50%);
    cursor: pointer;
  }

  #results {
    position: absolute;
    top: 50%;
    left: 20%;
    width: 60%;
    border-radius: 0 0 20px 20px;
    background-color: white;
    text-align: center;
    display: none; /* Masqué par défaut */
    padding: 0;
    outline: none;
  }

  /* Supprimer le "X" dans les champs de recherche */
  input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
  }

  li {
    list-style: none; /*enlever les points des listes*/
  }

  .result-item {
    padding: 10px 20px;
    font-size: 16px;
  }

  /*
  CSS pour la seconde vue
*/
  #titre {
    margin-top: 50px;
  }
  #containerInfos {
    background-color: rgb(168, 168, 168);
  }

  #image {
    max-width: 40%;
    margin-top: 20px;
  }

  #divInfos {
    margin-left: -50px;
    text-align: center;
  }

  .listeInfos {
    padding-bottom: 20px;
  }

  #localiser {
    padding: 10px 20px;
    margin-bottom: 20px;
    font-size: 16px;
    border-radius: 10px;
    border: none;
  }

  /*
  CSS pour la troisième vue
*/
  #mapid {
    width: 90%;
    aspect-ratio: 1;
    max-height: 800px;
    margin: 70px auto;
  }
}
